Bug 9913 - Патч для раздельного экспорта пользователей и машин
: Патч для раздельного экспорта пользователей и машин
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/smbldap-tools)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
: 9840
: 24888
  Show dependency tree
 
Reported: 2006-08-23 19:14 by
Modified: 2011-01-10 20:37 (History)


Attachments
Выборочная обработка пользователей и компьютеров (3.27 KB, patch)
2006-08-23 19:15, Slava Dubrovskiy
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-08-23 19:14:12
Добавил в smbldap-migrate-unix-accounts поддержку выборочного экспорта
пользовательских аккаунтов и компьютеров.
Теперь есть ключики 
  -u         process only people, ignore computers
  -w         process only computers, ignore persons

Также исправлено месторасположение машин (раньше все писалось в ou=Users,)
теперь в ou=Computers.

Steps to Reproduce:
1. Наложить патч
2. Использовать
------- Comment #1 From 2006-08-23 19:15:31 -------
Created an attachment (id=1606) [details]
Выборочная обработка пользователей и компьютеров
------- Comment #2 From 2006-08-29 16:19:10 -------
пожалуйста, NMU. я в онлайне очень изредка :(
------- Comment #3 From 2006-08-29 16:33:12 -------
(In reply to comment #2)
> пожалуйста, NMU. я в онлайне очень изредка :(
А что делать с патчами? Они не корректно работаеют см. (#9840) Убирать?
------- Comment #4 From 2006-08-30 14:35:24 -------
ох. если есь время/желание - посмотите что там с ними (я слегка догадываюсь).
пока можно убрать
------- Comment #5 From 2006-12-14 11:41:24 -------
fixed in smbldap-tools-0.9.2-alt0.src.rpm
------- Comment #6 From 2011-01-10 20:37:21 -------
<vsu> gvy: так оно изначально сломано было
<vsu> gvy: get_user_entry там вызывается раньше установки $typeuser
<vsu> gvy: просто могло пролетать незамеченным, если не было опций -M, -P, -S
<gvy> vsu, а -- на -P и взорвалось
<vsu> хм
<vsu> интересно, как это вообще работало